<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckRole
{
    public function handle(Request $request, Closure $next, $role)
    {
        // Provera da li je korisnik ulogovan
        if (!$request->user()) {
            return redirect('/login');
        }

        // Provera korisničke uloge
        if ($request->user()->role !== $role) {
            // Ako korisnik nema odgovarajuću ulogu, možete preusmeriti na neku drugu stranicu
            // ili vratiti odgovarajući odgovor
            return abort(403, 'Unauthorized action.');
        }

        return $next($request);
    }
}